TransactionSingleOp.RequestList
Date: 2016-02-29

de.zib.scalaris

## Class TransactionSingleOp.RequestList

- java.lang.Object
- - de.zib.scalaris.RequestList
  - - de.zib.scalaris.TransactionSingleOp.RequestList

- Enclosing class:
    TransactionSingleOp

      public static class TransactionSingleOp.RequestList
      extends RequestList

  Encapsulates requests that can be used for transactions in `TransactionSingleOp.req_list(RequestList)`.
  Since:
    3.5
  Version:
    3.18
  Author:
    Nico Kruber, kruber@zib.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionSingleOp.RequestList()` Default constructor.
    `TransactionSingleOp.RequestList(TransactionSingleOp.RequestList other)` Copy constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionSingleOp.RequestList` | `addAll(TransactionSingleOp.RequestList other)` Adds all requests of the other request list to the end of this list.
    `TransactionSingleOp.RequestList` | `addCommit()` Throws an `UnsupportedOperationException` as a commit is not supported here.
    `TransactionSingleOp.RequestList` | `addOp(Operation op)` Adds a generic operation to the list of requests.

    - ### Methods inherited from class de.zib.scalaris.RequestList

      `addAddDelOnList, addAddDelOnList, addAddOnNr, addAddOnNr, addAddOnNr, addAddOnNr, addRead, addRead, addTestAndSet, addTestAndSet, addWrite, addWrite, getCommit, getRequests, isCommit, isEmpty, size, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionSingleOp.RequestList

          public TransactionSingleOp.RequestList()

      Default constructor.

    - #### TransactionSingleOp.RequestList

          public TransactionSingleOp.RequestList(TransactionSingleOp.RequestList other)

      Copy constructor.
      Parameters:
        `other` - the request list to copy from

  - ### Method Detail

    - #### addOp

          public TransactionSingleOp.RequestList addOp(Operation op)
                                                throws UnsupportedOperationException

      Description copied from class: `RequestList`
      Adds a generic operation to the list of requests.
      Overrides:
        `addOp` in class `RequestList`
      Parameters:
        `op` - the operation to add
      Returns:
        this `RequestList` object
      Throws:
        `UnsupportedOperationException` - if the operation is unsupported, e.g. there may only be one "commit" in a request list and no request after that

    - #### addCommit

          public TransactionSingleOp.RequestList addCommit()

      Throws an `UnsupportedOperationException` as a commit is not supported here.
      Overrides:
        `addCommit` in class `RequestList`
      Returns:
        this `RequestList` object
      Throws:
        `UnsupportedOperationException` - always thrown in this class

    - #### addAll

          public TransactionSingleOp.RequestList addAll(TransactionSingleOp.RequestList other)

      Adds all requests of the other request list to the end of this list.
      Parameters:
        `other` - another request list
      Returns:
        this `RequestList` object